'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = copy;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _cpx = require('cpx');

var _cpx2 = _interopRequireDefault(_cpx);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _rimraf = require('rimraf');

var _rimraf2 = _interopRequireDefault(_rimraf);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function copy(sourcePath, targetPath) {
  _rimraf2.default.sync(targetPath);
  var items = _fs2.default.readdirSync(sourcePath);
  items.forEach(function (name) {
    if (['node_modules', '.git', 'build'].indexOf(name) === -1) {
      var source = _path2.default.resolve(sourcePath, name);

      if (_fs2.default.statSync(source).isDirectory()) {
        _cpx2.default.copySync(source + '/**', _path2.default.resolve(targetPath, name));
      } else {
        _cpx2.default.copySync(source, targetPath);
      }
    }
  });
}
module.exports = exports['default'];